
.navbar {
  @include themify($themes) {
    background-color: themed("nav-header-background-color");
    color: themed("nav-header-text-color");
    border-bottom: themed(header-bottom-border);
    box-shadow: themed(header-shadow);
  }

  flex-grow: 1;
  flex-wrap: nowrap;
  height: 3rem;
  padding: 0;
  z-index: 200;

  a:not(.btn), nav-link .nav-link.active-link, .navbar-nav .nav-link {
    @include themify($themes) {
      color: themed("nav-header-text-color");
    }
    cursor: pointer;
  }

  a:hover:not(.btn), nav-link .nav-link.active-link:hover, .navbar-nav .nav-link:hover {
    @include themify($themes) {
      color: themed("nav-header-text-hover-color");
    }
  }

  a.btn:not([href]):not([tabindex]):focus, a.btn:not([href]):not([tabindex]):hover {
    @include themify($themes) {
      color: themed("nav-header-btn-primary-color");
    }
  }

  .btn-primary, .btn-primary:focus {
    @include themify($themes) {
      color: themed("nav-header-btn-primary-color");
      border-color: themed("nav-header-btn-primary-border-color");
      background-color: themed("nav-header-btn-primary-background-color");
    }
  }

  .btn-outline-success:hover, .btn-outline:hover, .btn-primary:hover {
    @include themify($themes) {
      background-color: themed("nav-header-btn-primary-hover-background-color");
    }
  }

  .btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle {
    @include themify($themes) {
      background-color: themed("nav-header-btn-primary-hover-background-color");
    }
  }

  .btn-outline-primary {
    @include themify($themes) {
      color: themed("nav-header-btn-outline-color");
      border-color: themed("nav-header-btn-outline-border-color");
    }
  }

  .btn-outline-primary:hover {
    @include themify($themes) {
      color: themed("nav-header-btn-outline-hover-color");
      background-color: themed("nav-header-btn-outline-hover-background-color");
    }
  }

  .btn-outline-primary:not(:disabled):not(.disabled).active, .btn-outline-primary:not(:disabled):not(.disabled):active, .show>.btn-outline-primary.dropdown-toggle {
    @include themify($themes) {
      color: themed("nav-header-btn-outline-hover-color");
      border-color: themed("nav-header-btn-outline-border-color");
      background-color: themed("nav-header-btn-outline-hover-background-color");
    }
  }
}

.navbar .left-header {
  display: inherit;
  height: inherit;
  align-items: center;
  width: 100%;
}

.navbar .right-header {
  display: inherit;
  height: inherit;
  align-items: center;
  margin-right: 0.25rem;
}

.navbar .nav-container {
  display: flex;
  align-items: center;
}

.navbar ul, .navbar ol {
  list-style: none;
  padding-left: 0;
}

.navbar hci-ul, .navbar .hci-ul {
  height: inherit;
  align-items: center;
}

.navbar ul {
  margin-bottom: 0;
}

.navbar .dropdown-toggle.no-caret::after {
  display: none;
}

.navbar .dropdown-item {
  color: black;
}

.navbar .dropdown-item:hover {
  color: gray;
}

.navbar .nav-link {
  padding: 0.25rem 0.5rem;
}

.navbar-dark .dropdown-menu a {
  color: black;
}

hci-brand-a {
  display: flex;
}

hci-brand-span {
  font-weight: 600;
  padding-left: 0.5rem;
}

.navbar .hci-li-img {
  height: 2rem;
}

.navbar .btn-primary, .navbar .btn-outline, .navbar .btn-outline-success {
  padding: 0.1rem 0.5rem;
}

.navbar .btn-primary:hover, .navbar .btn-outline:hover, .navbar .btn-outline-success:hover {
  background-color: rgba(255, 255, 255, 0.25);
}

.navbar .btn-primary:active, .navbar .btn-outline:active, .navbar .btn-outline-success:active,
.navbar .btn-primary:focus, .navbar .btn-outline:focus, .navbar .btn-outline-success:focus {
  color: white;
  background-color: inherit;
  box-shadow: none;
}

.navbar .disabled {
  opacity: .4;
  cursor: default;
  pointer-events: none;
}

/* Icons */
.navbar .hci-fa-xlg {
  font-size: 1.75em;
  vertical-align: -0.35em;
}

/* App Header */

.ri-navbar-header,
.ri-navbar {
  height: 60px;
  box-shadow: none !important;
  border-radius: 0;
  color: $bluewarmvivid-darkest !important;
  border-bottom: solid 1px $greywarm-darker;
  background-color: var(--background-by-server) !important;
}

.ri-sidenav-button,
.ri-navbar {
  border-radius: 0 0 0 0 !important;
  box-shadow: none !important;

  &:enabled:active {
    color: $bluewarmvivid-lightest !important;
  }

  &:enabled:hover {
    color: $bluewarmvivid-lightest !important;
  }
}

/* Main navbar */
.ri-navbar-main,
.navbar-default {
  background: linear-gradient(0deg, $greywarm-darker 30%, $greywarm-medlighter 100%);
  border-color: #B7C5CC;
  color: $bluewarm-lightest;

  // Title
  .navbar-brand {
    color: $grey-darkest;
  }

  .navbar-brand:hover,
  .navbar-brand:focus {
    background: linear-gradient(0deg, $greywarm-meddark 0%, $greywarm-meddark 30%, $greywarm-dark 100%);
    color: $bluewarmvivid-lightest;
  }

  // Link
  .navbar-nav > li  {
    border-right: 1px solid $greywarm-medium;
    min-width: 125px;
    display: flex;
    justify-content: center;
  }

  .navbar-nav > li > a {
    padding-top: 0.2rem;
    color: $bluewarm-lightest;
    font-weight: 400;
  }

  .navbar-nav > li > a:hover,
  .navbar-nav > li > a:focus {
    color: $bluewarmvivid-darkest;
  }

  .navbar-nav > .active > a,
  .navbar-nav > .active > a:hover,
  .navbar-nav > .active > a:focus {
    background: linear-gradient(0deg, $greywarm-meddark 30%, $greywarm-darkest 100%);
    color: $white-lightest;
    font-weight: 500;
    min-width: 100px;
    display: flex;
    margin-left: auto;
    margin-right: 0;
    padding-right: 0 !important;
    justify-content: center;
    padding-top: 0.2rem;
  }

  .navbar-nav > .active > span,
  .navbar-nav > .active > span:hover,
  .navbar-nav > .active > span:focus {
    background: linear-gradient(0deg, $greywarm-meddark 30%, $greywarm-darkest 100%);;
    color: $white-lightest;
  }

  .navbar-nav > .open > a,
  .navbar-nav > .open > a:hover,
  .navbar-nav > .open > a:focus {
    background: $greywarm-medium;
    color: $white-lightest;
    padding-top: 8px;
    min-width: 100px;
  }

  .navbar-nav > .open > span,
  .navbar-nav > .open > span:hover,
  .navbar-nav > .open > span:focus {
    background: $greywarm-medium;
    color: $white-lightest;
    padding-top: 3px;
  }

  // Caret
  .navbar-nav > .dropdown > a .caret {
    border-top-color: $grey-dark;
    border-bottom-color: $grey-dark;
  }

  .navbar-nav > .dropdown > a:hover .caret,
  .navbar-nav > .dropdown > a:focus .caret {
    border-top-color: $black-medlight;
    border-bottom-color: $black-medlight;
  }

  .navbar-nav > .open > a .caret,
  .navbar-nav > .open > a:hover .caret,
  .navbar-nav > .open > a:focus .caret {
    border-top-color: #555;
    border-bottom-color: #555;
  }
}

// Mobile version
.ri-navbar-main,
.navbar-default {

  .navbar-toggle {
    border-color: $grey-lightest;
  }

  .navbar-toggle:hover,
  .navbar-toggle:focus {
    background-color: $grey-lightest;
  }

  .navbar-toggle .icon-bar {
    background-color: $grey-lighter;
  }
}

@media (max-width: 767px) {
  .ri-navbar-main .navbar-nav .open .dropdown-menu > li > a,
  .navbar-default .navbar-nav .open .dropdown-menu > li > a {
    color: $grey-darkest;

    &:hover,
    &:focus {
      color: $black-darkest;
    }
  }
}

/* Sub-navbar */
.ri-navbar-sub,
.ri-sub-navbar-default {
  background-color: $greywarm-meddark;

  .navbar-nav > li > a {
    color: $greywarm-darkest;
    background: linear-gradient(0deg, $grey-lighter 0%, $grey-lighter 30%, $white-meddark 100%);
    min-width: 100px;
    display: flex;
    justify-content: center;
    font-weight: 300;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    border-right: solid 1px $white-medium;
    font-size: 12px;
  }

  .navbar-nav > li > a:hover,
  .navbar-nav > li > a:focus {
    color: $black-darkest;
  }

  .navbar-nav > .active > a,
  .navbar-nav > .active > a:hover,
  .navbar-nav > .active > a:focus,
  .navbar-nav > li > a.active,
  .navbar-nav > li > a.active:hover,
  .navbar-nav > li > a.active:focus {
    background-color: $white-medium;
    color: $greywarm-darkest;
    font-weight: 700;
    min-width: 100px;
    display: flex;
    justify-content: center;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    background: linear-gradient(
        0deg,
        $grey-lightest 0%,
        $grey-lightest 30%,
        $grey-light 100%
    );
  }

  .navbar-nav > .active > span,
  .navbar-nav > .active > span:hover,
  .navbar-nav > .active > span:focus {
    background-color: $white-medium;
    color: $bluewarm-darkest;
  }

  .navbar-nav > .open > a,
  .navbar-nav > .open > a:hover,
  .navbar-nav > .open > a:focus {
    background-color: $white-medium;
    color: $bluewarm-darkest;
  }

  .navbar-nav > .open > span,
  .navbar-nav > .open > span:hover,
  .navbar-nav > .open > span:focus {
    background-color: $white-medium;
    color: $bluewarm-darkest;
  }

  // Caret
  .navbar-nav > .dropdown > a .caret {
    border-top-color: $grey-dark;
    border-bottom-color: $grey-dark;
  }

  .navbar-nav > .dropdown > a:hover .caret,
  .navbar-nav > .dropdown > a:focus .caret {
    border-top-color: $black-medlight;
    border-bottom-color: $black-medlight;
    background: linear-gradient(0deg, $grey-lighter 0%, $grey-lighter 30%, $white-meddark 100%);
  }

  .navbar-nav > .open > a .caret,
  .navbar-nav > .open > a:hover .caret,
  .navbar-nav > .open > a:focus .caret {
    border-top-color: #555;
    border-bottom-color: #555;
  }
}
